import { H as HighlighterGeneric, B as BuiltinLanguage, a as BuiltinTheme, C as CodeToHastOptions, R as Root, b as RequireKeys, c as CodeToThemedTokensOptions, T as ThemedToken, d as CodeToTokensWithThemesOptions, e as ThemedTokenWithVariants } from './types/langs.mjs';
export { A as AnsiLanguage, g as Awaitable, p as BundledHighlighterOptions, v as CodeOptionsMeta, t as CodeOptionsMultipleThemes, s as CodeOptionsSingleTheme, u as CodeOptionsThemes, r as CodeToHastOptionsCommon, F as FontStyle, I as Grammar, o as HighlighterCoreOptions, K as HtmlRendererOptions, J as HtmlRendererOptionsCommon, I as IGrammar, f as IRawGrammar, L as LanguageInput, q as LanguageRegistration, i as MaybeArray, M as MaybeGetter, h as MaybeModule, P as PlainTextLanguage, f as RawGrammar, m as ResolveBundleKey, n as ShikiInternal, G as ShikijiTransformer, E as ShikijiTransformerContext, D as ShikijiTransformerContextCommon, z as ShikijiTransformerContextMeta, S as SpecialLanguage, k as StringLiteralUnion, j as ThemeInput, y as ThemeRegistration, x as ThemeRegistrationRaw, O as ThemedTokenExplanation, N as ThemedTokenScopeExplanation, Q as TokenBase, U as TokenStyles, w as TransformerOptions, Y as bundledLanguages, X as bundledLanguagesAlias, W as bundledLanguagesBase, V as bundledThemes, l as loadWasm } from './types/langs.mjs';
import { G as GetHighlighterFactory } from './types/normalize.mjs';
export { H as HighlighterCore, j as addClassToHast, e as createSingletonShorthands, d as createdBundledHighlighter, c as getHighlighterCore, a as getShikiContext, g as getShikiInternal, i as isPlaintext, h as isSpecialLang, f as toArray, b as toShikiTheme, t as tokenizeAnsiWithTheme } from './types/normalize.mjs';
export { getWasmInlined } from './wasm.mjs';

type Highlighter = HighlighterGeneric<BuiltinLanguage, BuiltinTheme>;
declare const getHighlighter: GetHighlighterFactory<"css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "javascript" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "csv" | "applescript" | "ara" | "asm" | "typescript" | "ts" | "stylus" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "bat" | "batch" | "beancount" | "berry" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cadence" | "cdc" | "clarity" | "clojure" | "clj" | "cmake" | "cobol" | "codeql" | "ql" | "coffee" | "fs" | "glsl" | "cpp" | "c++" | "shellscript" | "bash" | "sh" | "shell" | "zsh" | "crystal" | "csharp" | "cs" | "c#" | "cue" | "cql" | "cypher" | "d" | "dart" | "dax" | "docker" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "ruby" | "rb" | "erb" | "erl" | "erlang" | "fish" | "fsharp" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yaml" | "yml" | "handlebars" | "hbs" | "glimmer-js" | "gjs" | "glimmer-ts" | "gts" | "gnuplot" | "go" | "graphql" | "gql" | "groovy" | "hack" | "php" | "ini" | "make" | "makefile" | "perl" | "r" | "vb" | "cmd" | "xsl" | "pug" | "jade" | "jsonc" | "objective-c" | "objc" | "swift" | "raku" | "perl6" | "powershell" | "ps" | "ps1" | "python" | "py" | "julia" | "rust" | "rs" | "scala" | "tex" | "hs" | "haskell" | "latex" | "markdown" | "md" | "haml" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "jinja-html" | "jison" | "json5" | "jsonl" | "jsonnet" | "jssm" | "fsl" | "kotlin" | "kt" | "kts" | "kusto" | "kql" | "liquid" | "lisp" | "logo" | "marko" | "matlab" | "mdc" | "toml" | "shellsession" | "console" | "mdx" | "mermaid" | "mojo" | "narrat" | "nar" | "nextflow" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shaderlab" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "splunk" | "spl" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "verilog" | "vhdl" | "viml" | "vim" | "vimscript" | "vue" | "vue-html" | "vyper" | "vy" | "wasm" | "wenyan" | "文言" | "wgsl" | "wolfram" | "zenscript" | "zig", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">;
declare const codeToHtml: (code: string, options: CodeToHastOptions<"css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "javascript" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "csv" | "applescript" | "ara" | "asm" | "typescript" | "ts" | "stylus" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "bat" | "batch" | "beancount" | "berry" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cadence" | "cdc" | "clarity" | "clojure" | "clj" | "cmake" | "cobol" | "codeql" | "ql" | "coffee" | "fs" | "glsl" | "cpp" | "c++" | "shellscript" | "bash" | "sh" | "shell" | "zsh" | "crystal" | "csharp" | "cs" | "c#" | "cue" | "cql" | "cypher" | "d" | "dart" | "dax" | "docker" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "ruby" | "rb" | "erb" | "erl" | "erlang" | "fish" | "fsharp" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yaml" | "yml" | "handlebars" | "hbs" | "glimmer-js" | "gjs" | "glimmer-ts" | "gts" | "gnuplot" | "go" | "graphql" | "gql" | "groovy" | "hack" | "php" | "ini" | "make" | "makefile" | "perl" | "r" | "vb" | "cmd" | "xsl" | "pug" | "jade" | "jsonc" | "objective-c" | "objc" | "swift" | "raku" | "perl6" | "powershell" | "ps" | "ps1" | "python" | "py" | "julia" | "rust" | "rs" | "scala" | "tex" | "hs" | "haskell" | "latex" | "markdown" | "md" | "haml" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "jinja-html" | "jison" | "json5" | "jsonl" | "jsonnet" | "jssm" | "fsl" | "kotlin" | "kt" | "kts" | "kusto" | "kql" | "liquid" | "lisp" | "logo" | "marko" | "matlab" | "mdc" | "toml" | "shellsession" | "console" | "mdx" | "mermaid" | "mojo" | "narrat" | "nar" | "nextflow" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shaderlab" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "splunk" | "spl" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "verilog" | "vhdl" | "viml" | "vim" | "vimscript" | "vue" | "vue-html" | "vyper" | "vy" | "wasm" | "wenyan" | "文言" | "wgsl" | "wolfram" | "zenscript" | "zig", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">) => Promise<string>;
declare const codeToHast: (code: string, options: CodeToHastOptions<"css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "javascript" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "csv" | "applescript" | "ara" | "asm" | "typescript" | "ts" | "stylus" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "bat" | "batch" | "beancount" | "berry" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cadence" | "cdc" | "clarity" | "clojure" | "clj" | "cmake" | "cobol" | "codeql" | "ql" | "coffee" | "fs" | "glsl" | "cpp" | "c++" | "shellscript" | "bash" | "sh" | "shell" | "zsh" | "crystal" | "csharp" | "cs" | "c#" | "cue" | "cql" | "cypher" | "d" | "dart" | "dax" | "docker" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "ruby" | "rb" | "erb" | "erl" | "erlang" | "fish" | "fsharp" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yaml" | "yml" | "handlebars" | "hbs" | "glimmer-js" | "gjs" | "glimmer-ts" | "gts" | "gnuplot" | "go" | "graphql" | "gql" | "groovy" | "hack" | "php" | "ini" | "make" | "makefile" | "perl" | "r" | "vb" | "cmd" | "xsl" | "pug" | "jade" | "jsonc" | "objective-c" | "objc" | "swift" | "raku" | "perl6" | "powershell" | "ps" | "ps1" | "python" | "py" | "julia" | "rust" | "rs" | "scala" | "tex" | "hs" | "haskell" | "latex" | "markdown" | "md" | "haml" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "jinja-html" | "jison" | "json5" | "jsonl" | "jsonnet" | "jssm" | "fsl" | "kotlin" | "kt" | "kts" | "kusto" | "kql" | "liquid" | "lisp" | "logo" | "marko" | "matlab" | "mdc" | "toml" | "shellsession" | "console" | "mdx" | "mermaid" | "mojo" | "narrat" | "nar" | "nextflow" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shaderlab" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "splunk" | "spl" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "verilog" | "vhdl" | "viml" | "vim" | "vimscript" | "vue" | "vue-html" | "vyper" | "vy" | "wasm" | "wenyan" | "文言" | "wgsl" | "wolfram" | "zenscript" | "zig", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">) => Promise<Root>;
declare const codeToThemedTokens: (code: string, options: RequireKeys<CodeToThemedTokensOptions<"css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "javascript" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "csv" | "applescript" | "ara" | "asm" | "typescript" | "ts" | "stylus" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "bat" | "batch" | "beancount" | "berry" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cadence" | "cdc" | "clarity" | "clojure" | "clj" | "cmake" | "cobol" | "codeql" | "ql" | "coffee" | "fs" | "glsl" | "cpp" | "c++" | "shellscript" | "bash" | "sh" | "shell" | "zsh" | "crystal" | "csharp" | "cs" | "c#" | "cue" | "cql" | "cypher" | "d" | "dart" | "dax" | "docker" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "ruby" | "rb" | "erb" | "erl" | "erlang" | "fish" | "fsharp" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yaml" | "yml" | "handlebars" | "hbs" | "glimmer-js" | "gjs" | "glimmer-ts" | "gts" | "gnuplot" | "go" | "graphql" | "gql" | "groovy" | "hack" | "php" | "ini" | "make" | "makefile" | "perl" | "r" | "vb" | "cmd" | "xsl" | "pug" | "jade" | "jsonc" | "objective-c" | "objc" | "swift" | "raku" | "perl6" | "powershell" | "ps" | "ps1" | "python" | "py" | "julia" | "rust" | "rs" | "scala" | "tex" | "hs" | "haskell" | "latex" | "markdown" | "md" | "haml" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "jinja-html" | "jison" | "json5" | "jsonl" | "jsonnet" | "jssm" | "fsl" | "kotlin" | "kt" | "kts" | "kusto" | "kql" | "liquid" | "lisp" | "logo" | "marko" | "matlab" | "mdc" | "toml" | "shellsession" | "console" | "mdx" | "mermaid" | "mojo" | "narrat" | "nar" | "nextflow" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shaderlab" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "splunk" | "spl" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "verilog" | "vhdl" | "viml" | "vim" | "vimscript" | "vue" | "vue-html" | "vyper" | "vy" | "wasm" | "wenyan" | "文言" | "wgsl" | "wolfram" | "zenscript" | "zig", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">, "lang" | "theme">) => Promise<ThemedToken[][]>;
declare const codeToTokensWithThemes: (code: string, options: RequireKeys<CodeToTokensWithThemesOptions<"css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "javascript" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "csv" | "applescript" | "ara" | "asm" | "typescript" | "ts" | "stylus" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "bat" | "batch" | "beancount" | "berry" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cadence" | "cdc" | "clarity" | "clojure" | "clj" | "cmake" | "cobol" | "codeql" | "ql" | "coffee" | "fs" | "glsl" | "cpp" | "c++" | "shellscript" | "bash" | "sh" | "shell" | "zsh" | "crystal" | "csharp" | "cs" | "c#" | "cue" | "cql" | "cypher" | "d" | "dart" | "dax" | "docker" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "ruby" | "rb" | "erb" | "erl" | "erlang" | "fish" | "fsharp" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yaml" | "yml" | "handlebars" | "hbs" | "glimmer-js" | "gjs" | "glimmer-ts" | "gts" | "gnuplot" | "go" | "graphql" | "gql" | "groovy" | "hack" | "php" | "ini" | "make" | "makefile" | "perl" | "r" | "vb" | "cmd" | "xsl" | "pug" | "jade" | "jsonc" | "objective-c" | "objc" | "swift" | "raku" | "perl6" | "powershell" | "ps" | "ps1" | "python" | "py" | "julia" | "rust" | "rs" | "scala" | "tex" | "hs" | "haskell" | "latex" | "markdown" | "md" | "haml" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "jinja-html" | "jison" | "json5" | "jsonl" | "jsonnet" | "jssm" | "fsl" | "kotlin" | "kt" | "kts" | "kusto" | "kql" | "liquid" | "lisp" | "logo" | "marko" | "matlab" | "mdc" | "toml" | "shellsession" | "console" | "mdx" | "mermaid" | "mojo" | "narrat" | "nar" | "nextflow" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shaderlab" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "splunk" | "spl" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "verilog" | "vhdl" | "viml" | "vim" | "vimscript" | "vue" | "vue-html" | "vyper" | "vy" | "wasm" | "wenyan" | "文言" | "wgsl" | "wolfram" | "zenscript" | "zig", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">, "lang" | "themes">) => Promise<ThemedTokenWithVariants[][]>;
declare const getSingletonHighlighter: () => Promise<HighlighterGeneric<"css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "javascript" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "csv" | "applescript" | "ara" | "asm" | "typescript" | "ts" | "stylus" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "bat" | "batch" | "beancount" | "berry" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cadence" | "cdc" | "clarity" | "clojure" | "clj" | "cmake" | "cobol" | "codeql" | "ql" | "coffee" | "fs" | "glsl" | "cpp" | "c++" | "shellscript" | "bash" | "sh" | "shell" | "zsh" | "crystal" | "csharp" | "cs" | "c#" | "cue" | "cql" | "cypher" | "d" | "dart" | "dax" | "docker" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "ruby" | "rb" | "erb" | "erl" | "erlang" | "fish" | "fsharp" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yaml" | "yml" | "handlebars" | "hbs" | "glimmer-js" | "gjs" | "glimmer-ts" | "gts" | "gnuplot" | "go" | "graphql" | "gql" | "groovy" | "hack" | "php" | "ini" | "make" | "makefile" | "perl" | "r" | "vb" | "cmd" | "xsl" | "pug" | "jade" | "jsonc" | "objective-c" | "objc" | "swift" | "raku" | "perl6" | "powershell" | "ps" | "ps1" | "python" | "py" | "julia" | "rust" | "rs" | "scala" | "tex" | "hs" | "haskell" | "latex" | "markdown" | "md" | "haml" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "jinja-html" | "jison" | "json5" | "jsonl" | "jsonnet" | "jssm" | "fsl" | "kotlin" | "kt" | "kts" | "kusto" | "kql" | "liquid" | "lisp" | "logo" | "marko" | "matlab" | "mdc" | "toml" | "shellsession" | "console" | "mdx" | "mermaid" | "mojo" | "narrat" | "nar" | "nextflow" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shaderlab" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "splunk" | "spl" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "verilog" | "vhdl" | "viml" | "vim" | "vimscript" | "vue" | "vue-html" | "vyper" | "vy" | "wasm" | "wenyan" | "文言" | "wgsl" | "wolfram" | "zenscript" | "zig", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">>;

export { BuiltinLanguage, BuiltinTheme, CodeToHastOptions, CodeToThemedTokensOptions, CodeToTokensWithThemesOptions, GetHighlighterFactory, type Highlighter, HighlighterGeneric, RequireKeys, ThemedToken, ThemedTokenWithVariants, codeToHast, codeToHtml, codeToThemedTokens, codeToTokensWithThemes, getHighlighter, getSingletonHighlighter };
